Precompiling Plots.jl fails on julia 1.0

question
package
plotting
linux

#21

Can you plot with GR.jl? Without Plots.jl.


#22

I only tried the histogram in raw GR.jl without Plots.jl and it also just came up blank. I can try with some more examples to see if it works.


#23

Have you tried PyPlot?


#24

PyPlot does not precompile. It fails on my machine. Someone stated it’s because LatexStrings need to run from master which I don’t know how to install to be honest. I’m at Pkg.add level. :slight_smile:

using PyPlot

[ Info: Precompiling PyPlot [d330b81b-6aea-500a-939a-2ce795aea3ee]
WARNING: could not import Base.mimewritable into PyPlot
ERROR: LoadError: UndefVarError: start not defined
Stacktrace:
[1] getproperty(::Module, ::Symbol) at ./sysimg.jl:13
[2] top-level scope at none:0
[3] include at ./boot.jl:317 [inlined]
[4] include_relative(::Module, ::String) at ./loading.jl:1038
[5] include(::Module, ::String) at ./sysimg.jl:29
[6] top-level scope at none:2
[7] eval at ./boot.jl:319 [inlined]
[8] eval(::Expr) at ./client.jl:389
[9] top-level scope at ./none:3
in expression starting at /home/michael/.julia/packages/LaTeXStrings/qycAf/src/LaTeXStrings.jl:62
ERROR: LoadError: Failed to precompile LaTeXStrings [b964fa9f-0449-5b57-a5c2-d3ea65f4040f] to /home/michael/.julia/compiled/v1.0/LaTeXStrings/H4HGh.ji.
Stacktrace:
[1] error(::String) at ./error.jl:33
[2] macro expansion at ./logging.jl:313 [inlined]
[3] compilecache(::Base.PkgId, ::String) at ./loading.jl:1184
[4] _require(::Base.PkgId) at ./logging.jl:311
[5] require(::Base.PkgId) at ./loading.jl:852
[6] macro expansion at ./logging.jl:311 [inlined]
[7] require(::Module, ::Symbol) at ./loading.jl:834
[8] include at ./boot.jl:317 [inlined]
[9] include_relative(::Module, ::String) at ./loading.jl:1038
[10] include(::Module, ::String) at ./sysimg.jl:29
[11] top-level scope at none:2
[12] eval at ./boot.jl:319 [inlined]
[13] eval(::Expr) at ./client.jl:389
[14] top-level scope at ./none:3
in expression starting at /home/michael/.julia/packages/PyPlot/jXCXB/src/PyPlot.jl:295
ERROR: Failed to precompile PyPlot [d330b81b-6aea-500a-939a-2ce795aea3ee] to /home/michael/.julia/compiled/v1.0/PyPlot/oatAj.ji.
Stacktrace:
[1] error(::String) at ./error.jl:33
[2] macro expansion at ./logging.jl:313 [inlined]
[3] compilecache(::Base.PkgId, ::String) at ./loading.jl:1184
[4] _require(::Base.PkgId) at ./logging.jl:311
[5] require(::Base.PkgId) at ./loading.jl:852
[6] macro expansion at ./logging.jl:311 [inlined]
[7] require(::Module, ::Symbol) at ./loading.jl:834


#25

Yeah, okay… Everything’s a bit in post v1.0 announcement chaos, but it’s getting better quickly, so stay tuned :slight_smile:

Returning to the GR engine. What happens if you savefig("figname.png")? Does it render properly in the file?


#26

Obviously only slightly helpful, but Plots.jl with GR works fine for me in Juno (and outside) with the version I get from pkg> add:

(TestEnv) pkg> st
    Status `~/Documents/TestEnv/Project.toml`
  [91a5bcdd] Plots v0.19.0

#27

I’ll be damned: Yes it does. If I look at the saved figure the plot is there. :upside_down_face:


#28

You seem to be hitting this 25 day old issue https://github.com/jheinen/GR.jl/issues/124 @jheinen might have some debugging question for you, this is beyond my paygrade :slight_smile:


#29

Happy to help any way I can. :slight_smile:


#30

I Would like to try it but I couldn’t get Juno to install. The last part/package failed.


#31

Oh? You might want to try backing up ~/.atom somewhere and delete it. Installing uber-juno should then take care of everything. If it still doesn’t work then please open an issue at Juno.jl or start a new thread on Discourse.


#32

I’ll give that a whirl. :+1:


#33

I removed the .atom folder and did a fresh install of uber-juno which fails at the last package julia-client. Error message below. I’ll open a new thread. :slight_smile:

Juno: Error installing package julia-client
Please check your internet connection, or report this to
http://discuss.junolab.org
and we’ll try to help.
–––
Error: Installing “julia-client@0.7.3” failed.


#34

Just FYI I tested my setup in Gnome and there it works. It was my tiling window manager i3wm that for some reason causes this weirdness with GR. Have no idea how to fix it, but it works in Gnome so Yay!